Subject: ds/* (was Re: What's cooking in git.git (Jul 2022, #06; Tue, 19))

From: Derrick Stolee <[email-masked]>
Date: Wed, 20 Jul 2022 09:22:13 -0400

On 7/19/2022 9:20 PM, Junio C Hamano wrote:

> * ds/midx-with-less-memory (2022-07-19) 3 commits
>  - midx: reduce memory pressure while writing bitmaps
>  - midx: extract bitmap write setup
>  - pack-bitmap-write: use const for hashes
> 
>  The codepath to write multi-pack index has been taught to release a
>  large chunk of memory that holds an array of objects in the packs,
>  as soon as it is done with the array, to reduce memory consumption.
> 
>  Will merge to 'next'?
>  source: <[email-masked]>

The actual functional change is very small and safe. I don't expect
significant edits to follow the latest version, but I'm happy to wait
a few more days if someone wants to chime in.

> * ds/rebase-update-ref (2022-07-19) 13 commits
>  - sequencer: notify user of --update-refs activity
>  - sequencer: ignore HEAD ref under --update-refs
>  - rebase: add rebase.updateRefs config option
>  - sequencer: rewrite update-refs as user edits todo list
>  - rebase: update refs from 'update-ref' commands
>  - rebase: add --update-refs option
>  - sequencer: add update-ref command
>  - sequencer: define array with enum values
>  - rebase-interactive: update 'merge' description
>  - branch: consider refs under 'update-refs'
>  - t2407: test branches currently using apply backend
>  - t2407: test bisect and rebase as black-boxes
>  - Merge branch 'ds/branch-checked-out' into ds/rebase-update-ref
> 
>  "git rebase -i" learns to update branches whose tip appear in the
>  rebased range.
> 
>  Will merge to 'next'?
>  source: <[email-masked]>

The most recent version was finally an iteration of small fixes,
and not a rework of anything substantial. There are several things
being saved for a possible follow-up, but I'm eager to see more
people give this a try. I'll watch closely for any need to forward-
fix anything in this area.

Thanks,
-Stolee